Subject: Re: [kitten] review of draft-ietf-kitten-gssapi-extensions-iana-07

From: Alexey Melnikov <[email-masked]>
Date: Wed, 16 Oct 2013 16:59:43 +0100

On 05/08/2013 19:47, Benjamin Kaduk wrote:
> On Tue, 6 Nov 2012, Leif Johansson wrote:
>
>>
>> Folks,
>>
>> I've reviewed version -07. I general I think the document is in good 
>> shape.
>> Reading through it I've found a small set of relatively minor nits.
>>
>> - Object Type: A long list of things like "Function" and "Integer" is 
>> given
>> but  the description text basically sais these are just examples. I 
>> suggest
>> replacing the list with the following text
>>
>> <Symbol> defined by the binding language
>>
>> - Registration Rules: Suggest change to say:
>>
>> "<Reference> to Policy defined by [RFC5226] or an RFC that
>> updates [RFC5226], for instance ..."
>>
>> Finally, I  find the guidelines to Expert reviewers to be somewhat 
>> hard to
>> follow. The final paragraph in section 8.2.2 to me basically reads as 
>> "use
>> your good judgement".
>>
>> Personally I would find it difficult to draw any guidance from that text
>> but I
>> fully understand if this horse has been flogged enough.
>
> I've also reviewed version -07, and don't see anything particularly 
> objectionable.
Hi,
Thank you for the review. I believe I addressed most of the editorial 
comments from you and Leif.
>
> Minor nits:
>
> In the table in section 7, in the entry for "Registration Rules", my 
> first reading left me confused as to which sub-namespace "items that 
> fall in this sub-namespace" referred to.  Re-reading makes it clear 
> that the sub-namespace is the one which has this Registration Rules 
> attribute, and I don't have any ideas for how to reword the text to be 
> clearer.  The capitalization of "sub-namespace" is a bit inconsistent 
> throughout the document.
>
> The table entry for "Reference" should add an 'a' in "Reference to a 
> document".
>
> The "Expert Reviewer" entry is internally inconsistent about how many 
> reviewers can be listed in a single field.  Multiple instances are 
> allowed, which would seem to indicate that one-reviewer-per-instance 
> is the correct disambiguation.

Yes, this is how it typically works. Do you think this needs to be 
clarified?

> In section 8, the meaning might be more clear with a comma between 
> "multiple registries" and "each".
>
> In the first paragraph of 8.2.2, "there is are any IETF Working 
> Groups" has an unnecessary "is".

---

From: Benjamin Kaduk <[email-masked]>
Date: Wed, 16 Oct 2013 13:12:26 -0400 (EDT)

> comments from you and Leif.

Thanks.

>> reviewers can be listed in a single field.  Multiple instances are allowed, 
>> which would seem to indicate that one-reviewer-per-instance is the correct 
>> disambiguation.
>
> Yes, this is how it typically works. Do you think this needs to be clarified?

Looking back at this, I think I just wanted the text in the "possible 
values" column for the "expert reviewer" entry to say "Name of expert 
reviewer" (singular) rather than "Name of expert reviewers" (plural).  The 
description notes that multiple instances of the field are allowed, so 
everything else would be okay.

-Ben